### Class

# EBackend CacheKeys

since: 3.48

#### Description [src]

    class EBackend.CacheKeys : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.48

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_cache_keys_new

Creates a new `ECacheKeys`, which will operate with `table_name`, using column `key_column_name` to store keys and `value_column_name` to store values.

since: 3.48

#### Instance methods

###### e_cache_keys_count_keys_sync

Counts how many keys the `self` stores and set it to the `out_n_stored`.

since: 3.48

###### e_cache_keys_foreach_sync

Calls `func` for each stored key in the `self`, providing information about its value and reference count.

since: 3.48

###### e_cache_keys_get_cache

Gets an `ECache`, with which the `self` had been created.

since: 3.48

###### e_cache_keys_get_key_column_name

Gets a key column name, with which the `self` had been created.

since: 3.48

###### e_cache_keys_get_ref_count_sync

Gets currently stored reference count for the `key`. Note the reference count can be 0, which means the `key` is stored forever.

since: 3.48

###### e_cache_keys_get_sync

Gets a stored value with given `key`, which had been previously put into the `self` with e_cache_keys_put_sync().

since: 3.48

###### e_cache_keys_get_table_name

Gets a table name, with which the `self` had been created.

since: 3.48

###### e_cache_keys_get_value_column_name

Get a value column name, with which the `self` had been created.

since: 3.48

###### e_cache_keys_init_table_sync

Initializes table in the corresponding `ECache`.

since: 3.48

###### e_cache_keys_put_sync

Puts the `key` and `value` into the `self`. The function adds a new or replaces an existing `key`, if any such already exists in the `self`.

since: 3.48

###### e_cache_keys_remove_all_sync

Removes all stored keys from the `self`.

since: 3.48

###### e_cache_keys_remove_sync

Dereferences use count of the `key` by `dec_ref_counts` and removes it from the cache when the reference count reaches zero. Special case is with `dec_ref_counts` is zero, in which case the key is removed regardless of the current reference count.

since: 3.48

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EBackend.CacheKeys:cache

The `ECache` being used for this keys table.

since: 3.48

###### EBackend.CacheKeys:key-column-name

The column name for the keys.

since: 3.48

###### EBackend.CacheKeys:table-name

The table name of this keys table.

since: 3.48

###### EBackend.CacheKeys:value-column-name

The column name for the values.

since: 3.48

#### Signals

###### EBackend.CacheKeys::changed

A signal emitted when the stored keys changed, aka when a new key is added or when an existing key is removed. It’s not emitted when only a reference count changes for a key.

since: 3.48

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBackendCacheKeysClass {
      void (* changed) (
        ECacheKeys* self
      );

    }

No description available.

###### Class members

`changed: void (* changed) ( ECacheKeys* self )`

  No description available.

#### Virtual methods

###### EBackend.CacheKeysClass.changed

No description available.